net.sf.cpsolver.coursett

## Class IdConvertor

- java.lang.Object
- - net.sf.cpsolver.coursett.IdConvertor

-     public class IdConvertor
      extends Object

  Conversion of ids to sequential numbers. This class is used by `TimetableXMLSaver` to anonymise benchmark data sets. Conversion file can be provided by IdConvertor.File system property (e.g. -DIdConvertor.File=.\idconf.xml).
  Version:
    CourseTT 1.2 (University Course Timetabling)
    Copyright (C) 2006 - 2010 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IdConvertor(String file)` Constructor -- use `getInstance()` to get an instance of this class.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear id conversion table.
    `String` | `convert(String type, String id)` Convert id of given type.
    `static IdConvertor` | `getInstance()` Get an instance of IdConvertor class.
    `void` | `load()` Load id conversion file.
    `void` | `load(File file)` Load id conversion file.
    `void` | `save()` Save id conversion file.
    `void` | `save(File file)` Save id conversion file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdConvertor

          protected IdConvertor(String file)

      Constructor -- use `getInstance()` to get an instance of this class.

  - ### Method Detail

    - #### getInstance

          public static IdConvertor getInstance()

      Get an instance of IdConvertor class.

    - #### convert

          public String convert(String type,
                                String id)

      Convert id of given type.

    - #### clear

          public void clear()

      Clear id conversion table.

    - #### save

          public void save(File file)

      Save id conversion file.
      Parameters:
        `file` - id file to save

    - #### save

          public void save()

      Save id conversion file. Name of the file needs to be provided by system property IdConvertor.File

    - #### load

          public void load(File file)

      Load id conversion file.
      Parameters:
        `file` - id file to load

    - #### load

          public void load()

      Load id conversion file. Name of the file needs to be provided by system property IdConvertor.File